SKB_PAGE_FRAG_REFILL(9)

NAME
skb_page_frag_refill - check that a page_frag contains enough room

SYNOPSIS

bool skb_page_frag_refill(unsigned int sz, struct page_frag * pfrag, gfp_t gfp);

ARGUMENTS

sz
    minimum size of the fragment we want to get

pfrag
    pointer to page_frag

gfp
    priority for memory allocation

NOTE

While this allocator tries to use high order pages, there is no guarantee that allocations succeed. Therefore, sz MUST be less or equal than PAGE_SIZE.

COPYRIGHT